<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');


class Blacklist extends Controller {

	var $num_page = array(
									"10" => "10",
									"25" => "25",
									"50" => "50",
									"100" => "100",
									"250" => "250",
									"500" => "500"
								);
								
								
    function Blacklist() {
        parent::Controller();
		$this->lib_auth->check();
    }
	
	function index() {	
		$this->load->library('pagination');	
		$pageData['num_page'] = $this->num_page;
		
		if ($this->input->post('stroka'))	{
			$stroka = $this->input->post('stroka');			
			
			$this->session->set_userdata('stroka',$stroka);		
		}
		
		if ($this->session->userdata('stroka'))	{					
			$stroka = $this->session->userdata('stroka');
		}
	
		$stroka = (isset($stroka))? $stroka: 10;
		$pageData['stroka'] = $stroka;	
		
		$from=intval($this->uri->segment(4)); // выделяем из URL номер первой записи на странице
	
		/* Настройка класса навигации */
		$config['base_url'] = base_url().'admin/blacklist/index/'; // путь к страницам в пейджере
        $config['total_rows'] = $this->form->count_all_data_blacklist();// всего записей
        $config['per_page'] =  (isset($stroka))? $stroka: 10;  // количество записей на странице
        $config['num_links'] = 3;    // количество ссылок в пейджере (точнее N/2)
        $config['uri_segment'] = 4;  // указываем где в URL номер страницы
        $this->pagination->initialize($config);
		
			
		$pageData['blacklist_ip'] = $this->form->getDataBlackListIp($stroka,$from);
		$pageData['message'] = $this->session->flashdata('msg');
		$pageData['title'] = 'Ваш черный список'; 
		$pageData['size'] = (count($pageData['blacklist_ip']) > 0)? count($pageData['blacklist_ip']): 1;	
		
		$this->form_validation->set_rules('stroka','Количество строк','integer|required');      
	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
		
		if (!$this->form_validation->run ()) {
			 
			$this->load->view("header");	
			$this->load->view("blacklist/list", $pageData);
			$this->load->view("footer");
		}
		else{
			$this->load->view("header");	
			$this->load->view("blacklist/list", $pageData);
			$this->load->view("footer");		
		}
	}
	
	
	function del_ip(){
	
		$this->load->library('pagination');	
		
		$pageData['message'] = $this->session->flashdata('msg');
		$pageData['num_page'] = $this->num_page;
		
		if ($this->input->post('stroka'))	{
			$stroka = $this->input->post('stroka');			
			
			$this->session->set_userdata('stroka',$stroka);		
		}
		
		if ($this->session->userdata('stroka'))	{					
			$stroka = $this->session->userdata('stroka');
		}
	
		$stroka = (isset($stroka))? $stroka: 10;
		$pageData['stroka'] = $stroka;	
		
		$from=intval($this->uri->segment(4)); // выделяем из URL номер первой записи на странице
	
		/* Настройка класса навигации */
		$config['base_url'] = base_url().'admin/blacklist/index/'; // путь к страницам в пейджере
        $config['total_rows'] = $this->form->count_all_data_blacklist();// всего записей
        $config['per_page'] =  (isset($stroka))? $stroka: 10;  // количество записей на странице
        $config['num_links'] = 3;    // количество ссылок в пейджере (точнее N/2)
        $config['uri_segment'] = 4;  // указываем где в URL номер страницы
        $this->pagination->initialize($config);
		
		
		$this->form_validation->set_rules('ip[]','Черный список IP', 'trim|required|');
		$this->form_validation->set_error_delimiters('<div class="error">', '</div>');
		
		if (!$this->form_validation->run ()) {	
			$pageData['blacklist_ip'] = $this->form->getDataBlackListIp($stroka,$from);
			$pageData['title'] = 'Ваш черный список'; 
			$pageData['size'] = (count($pageData['blacklist_ip']) > 0)? count($pageData['blacklist_ip']): 1;
			
			$this->load->view("header");	
			$this->load->view("blacklist/list", $pageData);
			$this->load->view("footer");
		}
		else {
		
			$this->form->deleteDataBlackListIp('admin/blacklist/');		
		}
	
	}
	
	
	function add(){
		
		$pageData['message'] = $this->session->flashdata('msg');		
		$pageData['title'] = 'Ваш черный список'; 
		
		$pageData['num_page'] = $this->num_page;
		
		if ($this->input->post('stroka'))	{
			$stroka = $this->input->post('stroka');			
			
			$this->session->set_userdata('stroka',$stroka);		
		}
		
		if ($this->session->userdata('stroka'))	{					
			$stroka = $this->session->userdata('stroka');
		}
	
		$stroka = (isset($stroka))? $stroka: 10;
		$pageData['stroka'] = $stroka;	
		
		
		$this->load->library('pagination');	
		
		$from=intval($this->uri->segment(4)); // выделяем из URL номер первой записи на странице
	
		/* Настройка класса навигации */
		$config['base_url'] = base_url().'admin/blacklist/index/'; // путь к страницам в пейджере
        $config['total_rows'] = $this->form->count_all_data_blacklist();// всего записей
        $config['per_page'] = (isset($stroka))? $stroka: 10;   // количество записей на странице
        $config['num_links'] = 3;    // количество ссылок в пейджере (точнее N/2)
        $config['uri_segment'] = 4;  // указываем где в URL номер страницы
        $this->pagination->initialize($config);
		
			
		$pageData['blacklist_ip'] = $this->form->getDataBlackListIp(2,$from);
		
			
		//$this->form_validation->set_rules('ip','IP-адрес', 'trim|required|valid_ip');
		$this->form_validation->set_rules('ip','IP-адрес', 'trim|required|callback_ip_check');					
		$this->form_validation->set_error_delimiters('<div class="error">', '</div>');
		
		if (!$this->form_validation->run ()) {	
			
			$this->load->view("header");	
			$this->load->view("blacklist/list", $pageData);
			$this->load->view("footer");
		}
		else {
		
			//$data_ip['ip'] = $this->input->post('ip');			
			$ip = explode("\n",$this->input->post('ip'));	
			
			for($i=0;$i<=count($ip)-1;$i++){
								
				$data_ip['ip'] = $ip[$i];		
				$this->form->addDataBlackListIp($data_ip);
			}
									
			redirect('admin/blacklist/');			
		}	
	}
	
	
	function ip_check(){
		
		$ip = explode("\n",$this->input->post('ip'));	
			
		for($i=0;$i<=count($ip)-1;$i++){
								
			if (!$this->input->valid_ip($ip[$i])){
				$this->form_validation->set_message('ip_check', 'Вы ввели не правильный IP-адрес - '.$ip[$i]);
				return FALSE;
			}
			else {
				return TRUE;
			}	
		}
	
		
	}
	
}
?>