<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');


class Item extends Controller {


	var $items_type = array(
			"" => "-- Выбор типа поля --",
			"text"=>"Однострочное поле (text)",
			"email"=>"Адрес электронной почты (email)",
			"textarea"=>"Многострочное поле (textarea)"
		);	
	


    function Item() {
        parent::Controller();
		$this->lib_auth->check();
    }
	
	function index() {		
		$pageData['list_forms'] = $this->form->getAllForms();
		  		 
		$this->load->view("header");	
    	$this->load->view("items/list_forms", $pageData);
		$this->load->view("footer");
	}
	
	
	
	function add($id_project) {
		$this->load->model('html_generetor');
		
		$pageData['error']='';
		$pageData['name_forms'] = $this->form->getDataProject($id_project);
		
		if (!$pageData['name_forms']) 
			$pageData['error'] = "<li>Такой формы не существует!!!</li><li>Вы ввели не правильный id формы</li>";
	
    	$pageData['message'] = $this->session->flashdata('msg');
		$pageData['title'] = "Добавить компонент:";
		$pageData['list_forms'] = $this->form->getAllItems($id_project);
		$pageData['html_code'] = $this->html_generetor->getHtmlCod($id_project);
		
		if (!$pageData['html_code'])
			$pageData['html_code'] = "<ul class='error'>Форма пуста и не содержит компонентов</ul>";
		
		$pageData['items_type'] = $this->items_type;
		
		
		$this->form_validation->set_rules('type','Тип поля','trim|required');
		$this->form_validation->set_rules('text','Текст над полем','trim|required');
		$this->form_validation->set_rules('size','Размер шрифта','trim|numeric|required');
		$this->form_validation->set_rules('color','Цвет текста над полем','trim|required|callback_valid_color');
		$this->form_validation->set_rules('weight','Текст полужирный');
		$this->form_validation->set_rules('style','Текст курсивом');
		$this->form_validation->set_rules('objaz','Поле обязательное для заполнения?');
       
	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
		
		$pageData['item']['text'] = $this->input->post('text'); 
		$pageData['item']['type'] = $this->input->post('type'); 
		$pageData['item']['size'] = ($this->input->post('size'))? $this->input->post('size'): '14'; 
		$pageData['item']['color'] = ($this->input->post('color'))? $this->input->post('color'): '000000'; 
		$pageData['item']['weight'] = ($this->input->post('weight')=='bold')? 'bold': 'normal'; 
		$pageData['item']['style'] = ($this->input->post('style')=='italic')? 'italic': 'normal';  
		$pageData['item']['objaz'] = $this->input->post('objaz'); 
		
		
		if (!$this->form_validation->run ()) {
        		  
            $this->load->view("items/head",$pageData);
			$this->load->view("items/list_items");	
    		$this->load->view("items/add");
			$this->load->view("footer");                
        
		}
		else {	
			
			$pageData['item']['id_project'] = $id_project;
			$pageData['item']['order_id'] = $this->form->getDataOrderId($id_project);
						
			$this->form->addDataItem($id_project,$pageData['item'],$pageData['name_forms']['type']);
			
			$this->load->view("items/head",$pageData);	
			$this->load->view("items/list_items");
    		$this->load->view("items/add" );
			$this->load->view("footer");  
									
		}
	}
	
	
	
	function edit($id_project,$id_item) {
    	
		$pageData['title'] = "Редактировать компонент:";
		$pageData['item'] = $this->form->getDataItem($id_item);				
		$pageData['name_forms'] = $this->form->getDataProject($id_project);
		
		if (!$pageData['item'] or !$pageData['name_forms']) 
			redirect('admin/item/add/'.$id_project);
	
		$pageData['items_type'] = $this->items_type;
		
		$this->form_validation->set_rules('type','Тип поля','trim|required');
		$this->form_validation->set_rules('size','Размер шрифта','trim|integer|required');
		$this->form_validation->set_rules('text','Текст над полем','trim|required');
       
	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
		
		
		if (!$this->form_validation->run ()) {
        		  
            $this->load->view("items/head2");	
    		$this->load->view("items/edit", $pageData);
			$this->load->view("footer");                
        
		}
		else{
		
			if ($this->input->post('del')){
			
				$this->form->deleteDataItem($id_project,$id_item,'admin/item/add/'.$id_project);			
			}
		
		    $item['text'] = $this->input->post('text'); 
			$item['type'] = $this->input->post('type'); 
			$item['size'] = $this->input->post('size'); 
			$item['color'] = $this->input->post('color'); 
			$item['weight'] = ($this->input->post('weight')=='bold')? 'bold': 'normal'; 
			$item['style'] =($this->input->post('style')=='italic')? 'italic': 'normal';  
			$item['objaz'] = ($this->input->post('type') != 'file')? $this->input->post('objaz'): 0; 			
			$item['id_project'] = $id_project;
								
			$this->form->updateDataItem ($item,$id_item,$id_project);
							              
		}
	}
	
	
	
	function move($id_project,$item_id,$move){
		$this->form->moveItems ($id_project,$item_id,$move);
	}
	
	
	
	function valid_color($str){
	
		if (!preg_match("/^([a-f0-9]{6,6})+$/i", $str)){
			$this->form_validation->set_message('valid_color', 'Вы задали не корректный цвет текста');
			return FALSE;
		}
		else {
			return TRUE;
		}
	}
	 
	
	
}
?>