<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');


class Project extends Controller {
	
	var $form_type = array(
			'' => '-- Выбор типа формы --',
			'feed-back' => 'Форма обратной связи'
		);
	
	var $charset = array(
			//'' => '-- Выбор кодировки формы --',
			'utf-8' => 'UTF-8',
			'windows-1251' => 'Windows-1251'
		);
	
    function Project() {
        parent::Controller();
			
    }
	
	function index() {
   		$this->lib_auth->check();
		$pageData['title'] = "Добавить форму:";
		$pageData['list_forms'] = $this->form->getAllForms();
		$pageData['form_type'] = $this->form_type;
		$pageData['code_text'] = $this->charset;
		
		$pageData['message'] = $this->session->flashdata('msg');
	
   		 
		$this->load->view("header");	
    	$this->load->view("form/add", $pageData);
		$this->load->view("footer");
	}
	
	function add() {
		$this->lib_auth->check();
    	$pageData['message']= "";
		$pageData['title'] = "Добавить форму:";
		$pageData['list_forms'] = $this->form->getAllForms();
	
		$pageData['form_type'] = $this->form_type;
		//$pageData['code_text'] = $this->charset;
		
		
		$this->form_validation->set_rules('name','Название проекта (формы)','trim|required');
		$this->form_validation->set_rules('type','Тип формы','trim|required');
		//$this->form_validation->set_rules('code_text','Кодировка формы','trim|required');
		$this->form_validation->set_rules('to_mail','E-mail, на который будет приходить письмо', 'trim|required|valid_email');
		$this->form_validation->set_rules('subject','Поле "Тема" для письма с сайта', 'trim|required');
		$this->form_validation->set_rules('discrip','Комментарий к форме','trim');
		
		
       
	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
        
		$pageData['project']['name'] = $this->input->post('name'); 
		$pageData['project']['type'] = $this->input->post('type'); 
		$pageData['project']['code_text'] = 'utf-8';
		$pageData['project']['to_mail'] = $this->input->post('to_mail'); 
		$pageData['project']['subject'] = $this->input->post('subject'); 
		$pageData['project']['discrip'] = $this->input->post('discrip');

		
		if (!$this->form_validation->run ()) {
        		  
            $this->load->view("header");	
    		$this->load->view("form/add", $pageData);
			$this->load->view("footer");                
        
		}
		else {	
			
			$pageData['project']['date_create'] = date('Y-m-d');		
			
			$id_project = $this->form->addDataProject($pageData['project']);
			
   			redirect ('admin/project');
		}
	}
	
	
	
	function edit($id) {
    	$this->lib_auth->check();
		$pageData['error'] = "";
		$pageData['project'] = $this->form->getDataProject($id);
		$pageData['title'] = "Редактирование формы: <span style='color:#f00; text-decoration:underline'>".$pageData['project']['name']."</span>";	
		$pageData['form_type'] = $this->form_type;
		//$pageData['code_text'] = $this->charset;
		
		if (!$pageData['project'])
			$pageData['error'] = "<li>Такой формы не существует!!!</li><li>Вы ввели не правильный id формы</li>";
		
		$this->form_validation->set_rules('name','Название проекта (формы)','trim|required');
		$this->form_validation->set_rules('type','Тип формы','trim|required');
		//$this->form_validation->set_rules('code_text','Кодировка формы','trim|required');
		$this->form_validation->set_rules('to_mail','E-mail, на который будет приходить письмо', 'trim|required|valid_email');
		$this->form_validation->set_rules('subject','Поле "Тема" для письма с сайта', 'trim|required');
      	$this->form_validation->set_rules('discrip','Комментарий к форме','trim');
	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');	
		
		if (!$this->form_validation->run ()) {
        		  
            $this->load->view("header");	
    		$this->load->view("form/edit", $pageData);
			$this->load->view("footer");                
        
		}
		else{
		
		
			if ($this->input->post('del')){
			
				$this->form->deleteDataProject($id,'admin/project');			
			}
			
			
		    			
			$data['name'] = $this->input->post('name'); 
			$data['type'] = $this->input->post('type'); 
			$data['code_text'] = 'utf-8';
			$data['to_mail'] = $this->input->post('to_mail'); 
			$data['subject'] = $this->input->post('subject');
			$data['discrip'] = $this->input->post('discrip');	

        	
			$this->form->updateDataProject($data,$id,'admin/project');	
						              
		}
	}
	
	
	
	
	 function login () {
      	$data['error_string'] = ''; 
		
		$this->form_validation->set_rules('login','Имя пользователя', 'required|az_numeric');
		$this->form_validation->set_rules('pass','Пароль', 'required');
      
	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');	
		
		if (!$this->form_validation->run ()) {
            
			$this->load->view("user/header");	
            $this->load->view('login',$data);
            $this->load->view("footer");     
        }
        
        else {
        
            if ($this->lib_auth->auth ($this->input->post ('login'),$this->input->post ('pass'))) {
                
                redirect ('admin/project');
                
            }
            else {
                
                $data['error_string'] = '<p class="error">Неверное Имя пользователя или Пароль</p>';
                
                $this->load->view("user/header");	
				$this->load->view('login',$data);
				$this->load->view("footer");   
            }            
            
        }
        
        
    }
    
    /**
    * Выход 
    */
    function logout () {
        
        $this->lib_auth->check ();
        
        $this->lib_auth->logout ();
                
    }
	
}
?>