<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');


class Install2 extends Controller {
   
    var $tab_admin = 'admin';
    //Название таблицы проектов
	var $tab_project = 'project';
	//Название таблицы компонентов
	var $tab_items = 'items';
	//Название таблицы для черного списка ip-адресов
	var $tab_black_list_ip = 'black_list_ip';

   
   
   function Install2() {
        parent::Controller();
    }
	
	function index() {
		
		$this->load->model('sql');
		
		$pageData['error'] = array();
	
		if($this->db->table_exists($this->tab_admin)){
			
			$pageData['error'][] = 'Удалите таблицу '.$this->db->dbprefix.$this->tab_admin.' в базе данных!';			
		}
		
		if($this->db->table_exists($this->tab_project)){
			
			$pageData['error'][] = 'Удалите таблицу '.$this->db->dbprefix.$this->tab_project.' в базе данных!';			
		}
		
		if($this->db->table_exists($this->tab_items)){
			
			$pageData['error'][] = 'Удалите таблицу '.$this->db->dbprefix.$this->tab_items.' в базе данных!';			
		}
		
		if($this->db->table_exists($this->tab_black_list_ip)){
			
			$pageData['error'][] = 'Удалите таблицу '.$this->db->dbprefix.$this->tab_black_list_ip.' в базе данных!';			
		}
		
		if (count($pageData['error']) > 0){
			$pageData['title'] = '<h3><u>Возможно инсталяция уже проводилась!</u></h3><h4 align="left"><u>Для корректного завершения инсталяции:</u></h4>';
			$this->load->view("user/header");	
			$this->load->view("install/install_error",$pageData);
			$this->load->view("footer"); 	
		}
		else{
			
			if($this->sql->create_tables()){
				
				redirect('install2/install');
			}
			else{
				$pageData['title'] = '';
				$pageData['error'][] = 'При создании таблицы в базе данных произошла ошибка! Повторите инсталяцию!'.anchor (base_url().'install','<p align=center>ПОВТОРИТЬ ИНСТАЛЯЦИЮ >>></p>');	
			}
			
			
			$this->load->view("user/header");	
			$this->load->view("install/install_error",$pageData);
			$this->load->view("footer"); 	
		}
		
	
	}
	
	
	
	function install() {
	
		$pageData['id'] = 1; 
		$pageData['login'] = $this->input->post('login'); 
		$pageData['pass'] = $this->input->post('pass');
		$pageData['admin_mail'] = $this->input->post('admin_mail');
		
		$this->form_validation->set_rules('login','Логин','trim|required');
		$this->form_validation->set_rules('pass','Пароль','trim|required');
		$this->form_validation->set_rules('repass','Повторите пароль', 'trim|required|callback_pass_check');
		$this->form_validation->set_rules('admin_mail','Email-адрес', 'trim|required|valid_email');
       
	    $this->form_validation->set_error_delimiters('<div class="error" align="left">', '</div>');
        
		if (!$this->form_validation->run ()) {	
		
			$this->load->view("user/header");	
			$this->load->view("install/install",$pageData);
			$this->load->view("footer"); 
		} 
		else{
			
			$this->form->addDataAdmin ($pageData);
			
			$this->load->view("user/header");	
			$this->load->view("install/install",$pageData);
			$this->load->view("footer"); 
		}
	}
	
	
	
	function install_ok($ok) {
	
		if ($ok == 'ok'){	
			
			$this->load->view("user/header");	
			$this->load->view("install/install_ok");
			$this->load->view("footer"); 
		}
		else{
			redirect('install2/install');
		
		}		
	}





	
	function pass_check(){
	
		if ($this->input->post('pass')!=$this->input->post('repass')){
			$this->form_validation->set_message('pass_check', 'Пароли не совпадает');
			return FALSE;
		}
		else {
			return TRUE;
		}
	}
}
?>